package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.BaremRfuNonBati;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface BaremRfuNonBatiService {

    BaremRfuNonBati createBaremRfuNonBati(BaremRfuNonBati baremRfuNonBati) throws BadRequestException;

    BaremRfuNonBati updateBaremRfuNonBati(Long id, BaremRfuNonBati baremRfuNonBati) throws NotFoundException;

    void deleteBaremRfuNonBati(Long id) throws NotFoundException;

    Page<BaremRfuNonBati> getBaremRfuNonBatiList(Pageable pageable);

    List<BaremRfuNonBati> getBaremRfuNonBatiList();


    Optional<BaremRfuNonBati> getBaremRfuNonBatiById(Long id);
}

